import type { Segment } from './read_aloud_types.js';
export declare class ReadAloudHighlighter {
    private previousGranularities_;
    private currentGranularity_;
    private wordBoundaries_;
    private allowAutoScroll_;
    private voiceLanguageController_;
    private readAloudModel_;
    hasCurrentGranularity(): boolean;
    updateAutoScroll(): void;
    highlightCurrentGranularity(segments: Segment[], scrollIntoView: boolean, shouldUpdateSentenceHighlight: boolean): void;
    onWillMoveToNextGranularity(segments: Segment[]): void;
    onWillMoveToPreviousGranularity(): void;
    restorePreviousHighlighting(): void;
    clearHighlightFormatting(): void;
    reset(): void;
    private getEffectiveHighlightingGranularity_;
    private highlightCurrentWordOrPhrase_;
    private highlightCurrentSentence_;
    private addHighlightToCurrentGranularity_;
    private scrollHighlightIntoView_;
    static getInstance(): ReadAloudHighlighter;
    static setInstance(obj: ReadAloudHighlighter): void;
}
